<?php

class Enviaya_Rate extends Enviaya_ApiResource
{

    /**
     * @param string $class Ignored.
     *
     * @return string The class URL for this resource. It needs to be special
     *    cased because it doesn't fit into the standard resource pattern.
     *    The standard resource pattern is name + s, e.g. parcel becomes parcels.
     */
    public static function classUrl($class)
    {
        return "/v1/rates";
    }

 

    /**
     * @param array|null $params
     *
     * @return Enviaya_Rates Get Rating.
     */
    public static function rating($params = null, $apiKey = null)
    {
        $class = get_class();
        
        return self::_scopedGetRates($class, $params, $apiKey);
    }
}
