{*
 * NOTICE OF LICENSE.
 *
 * This source module is subject to the following license: REGULAR LICENSE for one domain
 *
 * DISCLAIMER
 *
 * Not for sale.
 *
 * @author    Envía Ya S.A. de C.V
 * @copyright Envía Ya S.A. de C.V https://enviaya.com.mx
 * @license   REGULAR LICENSE
*}
<fieldset class="enviayashipping-fieldset">
  <legend class="enviayashipping-legend">{l s='select_shipping_service' mod='enviayacarrier'}</legend>
<div class="enviayashipping-{$prestashop_version|escape:'htmlall':'UTF-8'} row hiddenn"
     id="enviayashipping_service_rate_picker"
     data-cart-id="{$cart->id|escape:'htmlall':'UTF-8'}"
     data-carrier-id="{$carrier->id|escape:'htmlall':'UTF-8'}"
     data-to-country="{$to_country|escape:'htmlall':'UTF-8'}"
     data-to-postal-code="{$to_postal_code|escape:'htmlall':'UTF-8'}"
     data-language="{$language|escape:'htmlall':'UTF-8'}"
     data-save-url="{$save_endpoint|escape:'htmlall':'UTF-8'}"
     data-token="{$token|escape:'html':'UTF-8'}">
  <div class="col-sm-12">
    <div class="form-group clearfix" id="enviayaselection">
      <div class="enviayashipping-rate-details">
        {if not isset($service_rate_details.rates) }
        {else}
          {foreach from=$service_rate_details.rates item=quote name=quote}
            {if isset($quote_limit) && $smarty.foreach.quote.index == $quote_limit}
              {break}
            {/if}
            {if (isset($ratesreceived_extra.rates.{$smarty.foreach.quote.index}.amountInCartCurrency) )}
              
              <div class="row xdelivery-option {if (isset($selected_carrier.rate_id) and $selected_carrier.rate_id == $quote.rate_id) and (isset($selected_carrier.total_amount) and $selected_carrier.total_amount == $quote.total_amount)}selected{/if}">
                  <div class="col-sm-1">
                    <span class="custom-radio float-xs-left">
                      <input type="radio" name="xdelivery_option" onclick="sendAj()" id="{$quote.rate_id}" {if (isset($selected_carrier.rate_id) and $selected_carrier.rate_id == $quote.rate_id) and (isset($selected_carrier.total_amount) and $selected_carrier.total_amount == $quote.total_amount)}checked{/if}
                      value="{if isset($ratesreceived_extra.rates.{$smarty.foreach.quote.index}.amountInCartCurrency)}{Tools::displayPrice($ratesreceived_extra.rates.{$smarty.foreach.quote.index}.amountInCartCurrency)}{else}{Tools::displayPrice($quote.total_amount)}{/if}" data-carrier="{$quote.carrier}" data-quote-carrier="{if isset($ratesreceived_extra.rates.{$smarty.foreach.quote.index}.original_object_rates_id)}{$ratesreceived_extra.rates.{$smarty.foreach.quote.index}.original_object_rates_id}{/if}">
                      <span></span>
                    </span>
                  </div>
                  <label for="_option_{$quote.rate_id}" class="col-sm-11 delivery-option-{$quote.rate_id} {if (isset($selected_carrier.rate_id) and $selected_carrier.rate_id == $quote.rate_id) and (isset($selected_carrier.total_amount) and $selected_carrier.total_amount == $quote.total_amount)}selected{/if}">
                  <div class="row enviayashipping-rate-detail">
                      {if $config_fields_values['ENVIAYA_DISPLAY_CARRIER_LOGO'] == "1" && isset($ratesreceived_extra.rates.{$smarty.foreach.quote.index}.image)}
                        <div class="enviaya_display_carrier_logo">
                          <img src="{$ratesreceived_extra.rates.{$smarty.foreach.quote.index}.image}" alt="{$ratesreceived_extra.rates.{$smarty.foreach.quote.index}.carrier_name}" >
                        </div>
                      {/if}
                      {if $config_fields_values['ENVIAYA_SHIPPING_CARRIER_NAME'] == "1"}
                      <div class="enviaya_shipping_carrier_name">
                        <p class="carrier-name">{$ratesreceived_extra.rates.{$smarty.foreach.quote.index}.carrier_name}</p>
                      </div>
                      {/if}
                      {if $config_fields_values['ENVIAYA_SHIPPING_SERVICE_NAME'] != "4"}
                      <div class="enviaya_shipping_service_name">
                        <p>
                          {$ratesreceived_extra.rates.{$smarty.foreach.quote.index}.service_name} 
                          {if isset($ratesreceived_extra.rates.{$smarty.foreach.quote.index}.free_shipping)}
                            <span>({$ratesreceived_extra.rates.{$smarty.foreach.quote.index}.free_shipping.free_shipping_name})</span>
                          {/if}
                        </p>
                      </div>
                      {/if}
                      {if $config_fields_values['ENVIAYA_SHIPPING_DELIVERY_TIME'] != "3" && !in_array($ratesreceived_extra.rates.{$smarty.foreach.quote.index}.id,array('store_pickup', 'enviaya_standard_flat_rate', 'enviaya_express_flat_rate'))  == false }
                      <div class="enviaya_shipping_delivery_time">
                            {if $config_fields_values['ENVIAYA_SHIPPING_DELIVERY_TIME'] == "1"}
                              <svg style="width:17px;height:17px" viewBox="0 0 24 24"><path fill="currentColor" d="M19,19H5V8H19M16,1V3H8V1H6V3H5C3.89,3 3,3.89 3,5V19A2,2 0 0,0 5,21H19A2,2 0 0,0 21,19V5C21,3.89 20.1,3 19,3H18V1M17,12H12V17H17V12Z" /></svg>	
                            {/if}
                             {if $config_fields_values['ENVIAYA_SHIPPING_DELIVERY_TIME'] == "2"}
                              <svg xmlns="http://www.w3.org/2000/svg" x="0px" y="0px"width="17" height="17" viewBox="0 0 24 24" style=" fill:#000000;"><path d="M 12 2 C 6.4889971 2 2 6.4889971 2 12 C 2 17.511003 6.4889971 22 12 22 C 17.511003 22 22 17.511003 22 12 C 22 6.4889971 17.511003 2 12 2 z M 12 4 C 16.430123 4 20 7.5698774 20 12 C 20 16.430123 16.430123 20 12 20 C 7.5698774 20 4 16.430123 4 12 C 4 7.5698774 7.5698774 4 12 4 z M 11 6 L 11 12.414062 L 15.292969 16.707031 L 16.707031 15.292969 L 13 11.585938 L 13 6 L 11 6 z"></path></svg>
                            {/if}
                            
                            <span style="margin-left:5px">{$ratesreceived_extra.rates.{$smarty.foreach.quote.index}.delivery_time}</span>
                      </div>
                      {/if}
                      {if isset($ratesreceived_extra.rates.{$smarty.foreach.quote.index}.free_shipping)}
                        {if $config_fields_values['ENVIAYA_AS_DEFINED_PRICE'] == "1"}
                        <div class="enviaya_shipping_carrier-price">
                          <p>{Tools::displayPrice($ratesreceived_extra.rates.{$smarty.foreach.quote.index}.amountInCartCurrency)}</p>
                        </div> 
                        {/if}
                      {else}
                        <div class="enviaya_shipping_carrier-price">
                          <p>{Tools::displayPrice($ratesreceived_extra.rates.{$smarty.foreach.quote.index}.amountInCartCurrency)}</p>
                        </div> 
                      {/if}
                    </div>
                      
                  </label>
                </div>
            {/if}
          {/foreach}
        {/if}
        <input type="hidden" name="enviayashipping_service_rates_all" value="{$service_rate_details|json_encode}" />
        <input type="hidden" name="enviayashipping_service_rate_selected" value="{*$service_rate_details|escape:'htmlall':'UTF-8'*}" />
        <span class="description"></span>
      </div>
    </div>
    <p class="hidden alert alert-warning">
     <span class="outdated hidden">{l s='You are using an outdated browser. Please upgrade your browser to select a service point location.' mod='enviayacarrier'}</span>
     <span class="missing hidden">{l s='You must select a Service Point Delivery location before proceding.' mod='enviayacarrier'}</span>
     <span class="failure hidden">{l s='Unable to save the service point information. Please, try again.' mod='enviayacarrier'}</span>
    </p>
  </div>
</div>
</fieldset>
