<?php

class Enviaya_List extends Enviaya_Object
{
    public function all($params = null)
    {
        $requestor = new Enviaya_ApiRequestor($this->_apiKey);
        list($response, $apiKey) = $requestor->request('get', $this['url'], $params);
        return Enviaya_Util::convertToEnviayaObject($response, $apiKey);
    }
    
    public function create($params = null)
    {
        $requestor = new Enviaya_ApiRequestor($this->_apiKey);
        list($response, $apiKey) = $requestor->request('post', $this['url'], $params);
        return Enviaya_Util::convertToEnviayaObject($response, $apiKey);
    }
    
    public function retrieve($id, $params = null)
    {
        $requestor = new Enviaya_ApiRequestor($this->_apiKey);
        $base = $this['url'];
        $id = Enviaya_Util::utf8($id);
        $extn = urlencode($id);
        list($response, $apiKey) = $requestor->request('get', "$base/$extn", $params);
        return Enviaya_Util::convertToEnviayaObject($response, $apiKey);
    }
    
}
