/*
 *
 *
 * NOTICE OF LICENSE.
 *
 * This source module is subject to the following license: REGULAR LICENSE for one domain
 *
 * DISCLAIMER
 *
 * Not for sale.
 *
 * @author    Envía Ya S.A. de C.V
 * @copyright Envía Ya S.A. de C.V https://enviaya.com.mx
 * @license   REGULAR LICENSE
 *
 */

//$(document).ready(function() {
//console.log('ajax url is ' + ajax_url);
if (onepagecheckout) {
  //console.log('enviaya detect one page checkout');
}

// PS1.7.5 bugfix: bug do not allow to select an ExtraCarriers (should be fixed in 1.7.6?)
$("#js-delivery").attr("id", "js-delivery-enviaya");

//save selected to enviaya cache
$("input[name='xdelivery_option']").click(function(e) {
  //sendAj();
});

$(document).on('click', '#enviayashipping_service_point_opener', function(e) {
  //console.log('click enviaya');
  //todo add check is any of enviaya selected if not:: return message "Please select"
  sendAj();
});


function sendAj() {
  console.log('sendAj start');
  //step1:unselect selected any carrier
  var $allradios = $("input[type='radio'][name='delivery_option_']");
  if ($allradios.is(':checked') === true) {
    //$allradios.filter('[value=Male]').prop('checked', false);
    if (!onepagecheckout) {
      $allradios.prop('checked', false);
    }
  }

  //step2: get selected service point
  var chk = $('#enviayaselection input:radio:checked');
  var selectedServicePrice = chk.attr('value');
  var selectedServiceData = chk.attr('data-quote-carrier');
  var setoken = $("#enviayashipping_service_rate_picker").data('token');
  //alert(chk.attr('value'));
  console.log(selectedServiceData);
  console.log(selectedServicePrice);

  var data = {
    ajax: true,
    //action: 'Save',
    //id_carrier: slider,
    selected_price: selectedServicePrice,
    selected_data: selectedServiceData,
    token: setoken,
  };
  console.log(data)
  //step3: send point by ajax to save in db
  $.ajax({
    url: ajax_url,
    data: data,
    method: 'post',
    success: function() {
      //reloadList();
      //console.log('success ajax enviaya send');
      //step4:select the Original Enviaya Carrier
      
      var $radios = $("#delivery_option_" + enviaya_carrier_id);
      //console.log($radios);
      if ($radios.is(':checked') === false) {
        //$radios.filter('[value=Male]').prop('checked', true);
        //console.log('enviaya carrier radio found');
        $radios.prop('checked', true);
        //console.log('selected enviaya');
      }

      if (onepagecheckout) {
        //support module 'onepagecheckout'
        if (AppOPC.$opc_step_two.find('.delivery_options_address').length >= 0) {
          //console.log('opc found and enviayaID=' + enviaya_carrier_id);
          //force OPC to set enviaya as order carrier
          if (!$radios.is(':checked')) {
            //console.log('enviaya opc attempt');
            $radios.attr('checked', true).trigger('change');
          }
          //clear current selected
          $('div#onepagecheckoutps #onepagecheckoutps_step_two .delivery-option').removeClass('selected alert alert-info');
          //$('.delivery-option.delivery_option_'+ enviaya_carrier_id).parent().parent().parent().addClass('selected alert alert-info');
          var simulateOPCobject = $("input#delivery_option_" + enviaya_carrier_id);
          if (simulateOPCobject) {
            Carrier.update({ delivery_option_selected: simulateOPCobject, load_carriers: true, load_payments: false, load_review: false });
          }

        }
        //location.reload();
      }


      //submit Delivery Form :confirmDeliveryOption
      if ($('form#js-delivery-enviaya').length) {
        $('form#js-delivery-enviaya').submit();
      } else {
        //console.log("js-delivery-enviaya form not found");
        //scrollTo('button[name=confirmDeliveryOption]');
      }
      //reload page to refresh shipping total
      //setTimeout(function() {
      if (onepagecheckout) {
        //location.reload();
      }
      //}, 3000);
    }
  });
}

/*function scrollTo(divid) {
  //$('' + divid + '').animate({
  //console.log('divid' + divid);
  $('html,body').animate({
    scrollTop: $('' + divid + '').offset().top - 140
  });
}*/



//});
